aboutsummaryrefslogtreecommitdiff
path: root/dependency-test.sh
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2012-08-20 21:35:20 +0200
committerMattias Andrée <maandree@operamail.com>2012-08-20 21:35:20 +0200
commit95b4a11e709f7508ffdc547442df81f0d1784ea2 (patch)
treeb24a907d44f46c67e6f8a071683f7abd3bc1cd28 /dependency-test.sh
parent29bf11333920a16cfeca95d77891465982709915 (diff)
downloadponysay-95b4a11e709f7508ffdc547442df81f0d1784ea2.tar.gz
ponysay-95b4a11e709f7508ffdc547442df81f0d1784ea2.tar.bz2
ponysay-95b4a11e709f7508ffdc547442df81f0d1784ea2.zip
m pdf/info + dependency test script
Diffstat (limited to 'dependency-test.sh')
-rwxr-xr-xdependency-test.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/dependency-test.sh b/dependency-test.sh
new file mode 100755
index 0000000..770873c
--- /dev/null
+++ b/dependency-test.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+br=0
+bs=0
+bo=0
+rr=0
+ro=0
+
+(hash make 2>/dev/null) || (br=1 ; echo 'Missing make, install make [build required]')
+(hash sed 2>/dev/null) || (br=1 ; echo 'Missing sed, install sed [build required]')
+(hash install 2>/dev/null) || (br=1 ; echo 'Missing install, install coreutils [build required]')
+(hash unlink 2>/dev/null) || (br=1 ; echo 'Missing uninstall, install coreutils [build required]')
+(hash rm 2>/dev/null) || (br=1 ; echo 'Missing rm, install coreutils [build required]')
+(hash ln 2>/dev/null) || (br=1 ; echo 'Missing ln, install coreutils [build required]')
+(hash mkdir 2>/dev/null) || (br=1 ; echo 'Missing mkdir, install coreutils [build required]')
+(hash cp 2>/dev/null) || (br=1 ; echo 'Missing cp, install coreutils [build required]')
+(hash cut 2>/dev/null) || (br=1 ; echo 'Missing cut, install coreutils [build required]')
+
+(hash bash 2>/dev/null) || (bs=1 ; echo 'Missing bash, install bash [build recommended]')
+
+(hash gzip 2>/dev/null) || (bo=1 ; echo 'Missing gzip, install gzip [build optional]')
+(hash makeinfo 2>/dev/null) || (bo=1 ; echo 'Missing makeinfo, install texinfo [build optional]')
+(hash install-info 2>/dev/null) || (bo=1 ; echo 'Missing install-info, install info [build optional]')
+
+(hash stty 2>/dev/null) || (rr=1 ; echo 'Missing stty, install coreutils [runtime required]')
+(hash python 2>/dev/null) || (rr=1 ; echo 'Missing python, install python>=3 [runtime required]')
+
+(hash cut 2>/dev/null) && (hash python 2>/dev/null) &&
+ (test ! $(env python --version 2>&1 | cut -d ' ' -f 2 | cut -d '.' -f 1) = 3) && (
+ (hash python3 2>/dev/null) ||
+ (rr=1 ; echo 'Missing python>=3, install python (may be named python3) [runtime required]'))
+
+(hash tty2colourfultty 2>/dev/null) || (ro=1 ; echo 'Missing tty2colourfultty, install util-say [runtime optional]')
+(hash ponysay2ttyponysay 2>/dev/null) || (ro=1 ; echo 'Missing ponysay2ttyponysay, install util-say [runtime optional]')
+
+( (test $br = 1) || (test $rr = 1) || (test $ro = 1) ) && echo
+
+(test $br = 1) && echo 'You will not be able to build and install ponysay.'
+(test $rr = 1) && echo 'You will not be able to run ponysay.'
+(test $br = 1) && (test $rr = 0) && echo 'Unable to verify version of python.'
+
+(test $br = 0) && (test $bs = 0) && (test $bo = 0) && (test $rr = 0) && (test $ro = 0) &&
+ echo && echo 'Everything appears to be in order, enjoy ponysay!'
+
+echo